%{!?make_build:   %global make_build   make %{?_smp_mflags}}
%{!?make_install: %global make_install make install DESTDIR=%{buildroot} INSTALL="/usr/bin/install -p"}

#
# spec file for package c_count
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           c_count
Version:        7.23
Release:        0%{?dist}.1sunshine
Summary:        Source Code Measure Counter for C/C++/Java
License:        MIT
Group:          Development/Tools/Other
URL:            https://invisible-island.net/c_count/
Source0:        https://invisible-island.net/archives/c_count/%{name}-%{version}.tgz
Source1:        https://invisible-island.net/archives/c_count/%{name}-%{version}.tgz.asc
BuildRequires:  gcc make

%description
c_count counts lines, statements, and other simple measures of C/C++/Java
source programs. It is not lex/yacc based, and is easily portable to a
variety of systems.

%prep
%setup -q

%build
%configure \
  --enable-warnings
%make_build

%install
%make_install

%check
make %{?_smp_mflags} check

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc CHANGES README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sat Oct 12 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 7.23-0.1sunshine
- update to 7.23

* Wed Jul 05 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 7.22-0.1sunshine
- update to 7.22
- switch to https:// %%SOURCE (ftp is down) and https:// %%URL

* Mon Jan 11 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 7.20-0.1sunshine
- update to 7.20
- add BR: make

* Fri Sep 25 2020 Moritz Barsnick <moritz+rpm@barsnick.net> 7.19-0.1sunshine
- update to 7.19
- add BR: gcc
- use the %%make_build macro
- expand man page correctly in %%files
- drop keyring file from package
- provide fallbacks for the %%make_build, %%make_install and %%license macros

* Wed Jul 11 2018 mpluskal@suse.com
- Update to version 7.18:
  * updated configure macros
  * update config.guess and config.sub
* Thu Nov  5 2015 mpluskal@suse.com
- Update to 7.17
  * fix breakage in configure script from 7.16
  * updated configure macros
* Wed Aug  5 2015 mpluskal@suse.com
- Update to 7.16
  * add configure option --with-man2html
  * updated configure macros
  * update config.guess and config.sub
- Add gpg signature
- Cleanup spec file with spec-cleaner
- Update dependencies
* Thu Dec 25 2014 p.drouand@gmail.com
- Update to version 7.15
  + ensure that parse-state returns to "code" after a comment is
  completed.  Extend parsing for numbers to improve error-checking.
  + updated configure macros
  + update config.guess and config.sub
* Tue Jun 17 2014 tchvatal@suse.com
- Version bump to 7.14:
  * cross compiling support
  * configure script updates
  * minor fix to Quoted
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Jan 24 2012 pascal.bleser@opensuse.org
- minor spec file cleanup
* Sun Jul 18 2010 pascal.bleser@opensuse.org
- initial package (7.12)
